# -*- coding: utf-8 -*-
import time

from PyQt5.QtCore import QThread, pyqtSignal, QObject

class Capture(QThread):

    exit_code = pyqtSignal(int)

    def __init__(self):
        """
        Make a new thread instance.

        :param measure_time: Time to measure spectrum
        :type measure_time: int
        """
        QThread.__init__(self)

    def __del__(self):
        self.wait()

    def run(self):
        self.file_sink.capture()

    def set_file_sink(self, file_sink):
        self.file_sink = file_sink